curl --request PATCH \
--url https://api.arize.com/v2/dashboards/{dashboard_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Production Overview",
"time_range_key": "14d"
}
'import requests
url = "https://api.arize.com/v2/dashboards/{dashboard_id}"
payload = {
"name": "Production Overview",
"time_range_key": "14d"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Production Overview', time_range_key: '14d'})
};
fetch('https://api.arize.com/v2/dashboards/{dashboard_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.arize.com/v2/dashboards/{dashboard_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Production Overview',
'time_range_key' => '14d'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.arize.com/v2/dashboards/{dashboard_id}"
payload := strings.NewReader("{\n \"name\": \"Production Overview\",\n \"time_range_key\": \"14d\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.arize.com/v2/dashboards/{dashboard_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Production Overview\",\n \"time_range_key\": \"14d\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.arize.com/v2/dashboards/{dashboard_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Production Overview\",\n \"time_range_key\": \"14d\"\n}"
response = http.request(request)
puts response.read_bodyUpdate a dashboard
Update a dashboardās name and time settings. The caller must have permission to
update the dashboard. Only the fields included in the request are changed. Set
timezone, start_time, end_time, or time_series_data_granularity to null
to clear it. The updated dashboard is returned with its tags and published widget
summaries.
To remove a dashboard, use the delete operation instead.
curl --request PATCH \
--url https://api.arize.com/v2/dashboards/{dashboard_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Production Overview",
"time_range_key": "14d"
}
'import requests
url = "https://api.arize.com/v2/dashboards/{dashboard_id}"
payload = {
"name": "Production Overview",
"time_range_key": "14d"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Production Overview', time_range_key: '14d'})
};
fetch('https://api.arize.com/v2/dashboards/{dashboard_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.arize.com/v2/dashboards/{dashboard_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Production Overview',
'time_range_key' => '14d'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.arize.com/v2/dashboards/{dashboard_id}"
payload := strings.NewReader("{\n \"name\": \"Production Overview\",\n \"time_range_key\": \"14d\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.arize.com/v2/dashboards/{dashboard_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Production Overview\",\n \"time_range_key\": \"14d\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.arize.com/v2/dashboards/{dashboard_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Production Overview\",\n \"time_range_key\": \"14d\"\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Service accounts may instead present an access token issued by an external identity provider (Microsoft Entra ID) when the account admin has configured that provider. Send it in the same header: Authorization: Bearer <access-token>.
Path Parameters
Body
Body containing the dashboard fields to update
Response
Returns a dashboard with its tags and published widgets.
A dashboard groups charts, statistics, text, and tables to help you monitor and analyze your application data. The response includes published widgets only.
Was this page helpful?